package mhp.oee.dao.gen;

import java.util.List;
import mhp.oee.po.gen.JobLogPO;
import mhp.oee.po.gen.JobLogPOExample;
import org.apache.ibatis.annotations.Param;

public interface JobLogPOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table job_log
     *
     * @mbggenerated
     */
    int countByExample(JobLogPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table job_log
     *
     * @mbggenerated
     */
    int deleteByExample(JobLogPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table job_log
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table job_log
     *
     * @mbggenerated
     */
    int insert(JobLogPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table job_log
     *
     * @mbggenerated
     */
    int insertSelective(JobLogPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table job_log
     *
     * @mbggenerated
     */
    List<JobLogPO> selectByExample(JobLogPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table job_log
     *
     * @mbggenerated
     */
    JobLogPO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table job_log
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") JobLogPO record, @Param("example") JobLogPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table job_log
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") JobLogPO record, @Param("example") JobLogPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table job_log
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(JobLogPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table job_log
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(JobLogPO record);
}